#include <bits/stdc++.h>

using namespace std;

void ispisi(int a[5][2]){
    for(int i = 0;i < 5;i++){
        for(int j = 0;j < 2;j++){
            cout << a[i][j];
            if(j < 1)
                cout << " ";
        }
        if(i < 4)
            cout << '\n';
    }
}

void resi(int n, int a){
    int niz[5][2], kolicnik = n/10, ostatak = n%10, razlika;
    for(int i = 0;i < 5;i++)
        for(int j = 0;j < 2;j++)
            niz[i][j] = kolicnik;
    niz[0][0] += ostatak;
    for(int i = 0;i < 5;i++){
        if(niz[i][0] < a){
            razlika = a - niz[i][0];
            niz[i][0] += razlika;
            niz[i][1] -= razlika;
        }
        if(abs(niz[i][0] - niz[i][1]) < 2){
            niz[i][0] += 2;
            niz[i][1] -= 2;
        }
    }
    ispisi(niz);
}

int main(){
    ios::sync_with_stdio(false);
    int n, a;
    cin >> n >> a;
    if(n <= a)
        cout << "-1";
    else
        resi(n, a);
    return 0;
}